Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Use bundler for easier management of developer-dependencies

  • Loading branch information...
commit 2ce8e3e0e1ac3695a80ea71febcc2d2a612ffe9f 1 parent c2e3a3f
Menno van der Sman authored October 02, 2010
4  Gemfile
... ...
@@ -0,0 +1,4 @@
  1
+# A sample Gemfile
  2
+source "http://rubygems.org"
  3
+
  4
+gemspec
40  Gemfile.lock
... ...
@@ -0,0 +1,40 @@
  1
+PATH
  2
+  remote: .
  3
+  specs:
  4
+    cloudfront_asset_host (1.0.2)
  5
+      right_aws
  6
+
  7
+GEM
  8
+  remote: http://rubygems.org/
  9
+  specs:
  10
+    actionpack (2.3.9)
  11
+      activesupport (= 2.3.9)
  12
+      rack (~> 1.1.0)
  13
+    activesupport (2.3.9)
  14
+    ansi (1.2.2)
  15
+    facets (2.8.4)
  16
+    mocha (0.9.8)
  17
+      rake
  18
+    rack (1.1.0)
  19
+    rake (0.8.7)
  20
+    redgreen (1.2.2)
  21
+    right_aws (2.0.0)
  22
+      right_http_connection (>= 1.2.1)
  23
+    right_http_connection (1.2.4)
  24
+    shoulda (2.11.3)
  25
+    turn (0.7.0)
  26
+      ansi (>= 1.1.0)
  27
+      facets (>= 2.8.0)
  28
+
  29
+PLATFORMS
  30
+  ruby
  31
+
  32
+DEPENDENCIES
  33
+  actionpack (= 2.3.9)
  34
+  activesupport (= 2.3.9)
  35
+  cloudfront_asset_host!
  36
+  mocha
  37
+  redgreen
  38
+  right_aws
  39
+  shoulda
  40
+  turn
6  Rakefile
@@ -32,6 +32,12 @@ begin
32 32
     gemspec.homepage = "http://github.com/menno/cloudfront_asset_host"
33 33
     gemspec.authors = ["Menno van der Sman"]
34 34
     gemspec.add_dependency 'right_aws'
  35
+    gemspec.add_development_dependency 'activesupport', '2.3.9'
  36
+    gemspec.add_development_dependency 'actionpack', '2.3.9'
  37
+    gemspec.add_development_dependency 'shoulda'
  38
+    gemspec.add_development_dependency 'mocha'
  39
+    gemspec.add_development_dependency 'redgreen'
  40
+    gemspec.add_development_dependency 'turn'
35 41
   end
36 42
   Jeweler::GemcutterTasks.new
37 43
 rescue LoadError
26  cloudfront_asset_host.gemspec
@@ -9,7 +9,7 @@ Gem::Specification.new do |s|
9 9
 
10 10
   s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 11
   s.authors = ["Menno van der Sman"]
12  
-  s.date = %q{2010-03-23}
  12
+  s.date = %q{2010-10-02}
13 13
   s.description = %q{Easy deployment of your assets on CloudFront or S3 using a simple rake-task. When enabled in production, the application's asset_host and public_paths will point to the correct location.}
14 14
   s.email = %q{menno@wakoopa.com}
15 15
   s.extra_rdoc_files = [
@@ -17,6 +17,8 @@ Gem::Specification.new do |s|
17 17
   ]
18 18
   s.files = [
19 19
     ".gitignore",
  20
+     "Gemfile",
  21
+     "Gemfile.lock",
20 22
      "MIT-LICENSE",
21 23
      "README.markdown",
22 24
      "Rakefile",
@@ -39,7 +41,7 @@ Gem::Specification.new do |s|
39 41
   s.homepage = %q{http://github.com/menno/cloudfront_asset_host}
40 42
   s.rdoc_options = ["--charset=UTF-8"]
41 43
   s.require_paths = ["lib"]
42  
-  s.rubygems_version = %q{1.3.6}
  44
+  s.rubygems_version = %q{1.3.7}
43 45
   s.summary = %q{Rails plugin to easily and efficiently deploy your assets on Amazon's S3 or CloudFront}
44 46
   s.test_files = [
45 47
     "test/cloudfront_asset_host_test.rb",
@@ -52,13 +54,31 @@ Gem::Specification.new do |s|
52 54
     current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
53 55
     s.specification_version = 3
54 56
 
55  
-    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
  57
+    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
56 58
       s.add_runtime_dependency(%q<right_aws>, [">= 0"])
  59
+      s.add_development_dependency(%q<activesupport>, ["= 2.3.9"])
  60
+      s.add_development_dependency(%q<actionpack>, ["= 2.3.9"])
  61
+      s.add_development_dependency(%q<shoulda>, [">= 0"])
  62
+      s.add_development_dependency(%q<mocha>, [">= 0"])
  63
+      s.add_development_dependency(%q<redgreen>, [">= 0"])
  64
+      s.add_development_dependency(%q<turn>, [">= 0"])
57 65
     else
58 66
       s.add_dependency(%q<right_aws>, [">= 0"])
  67
+      s.add_dependency(%q<activesupport>, ["= 2.3.9"])
  68
+      s.add_dependency(%q<actionpack>, ["= 2.3.9"])
  69
+      s.add_dependency(%q<shoulda>, [">= 0"])
  70
+      s.add_dependency(%q<mocha>, [">= 0"])
  71
+      s.add_dependency(%q<redgreen>, [">= 0"])
  72
+      s.add_dependency(%q<turn>, [">= 0"])
59 73
     end
60 74
   else
61 75
     s.add_dependency(%q<right_aws>, [">= 0"])
  76
+    s.add_dependency(%q<activesupport>, ["= 2.3.9"])
  77
+    s.add_dependency(%q<actionpack>, ["= 2.3.9"])
  78
+    s.add_dependency(%q<shoulda>, [">= 0"])
  79
+    s.add_dependency(%q<mocha>, [">= 0"])
  80
+    s.add_dependency(%q<redgreen>, [">= 0"])
  81
+    s.add_dependency(%q<turn>, [">= 0"])
62 82
   end
63 83
 end
64 84
 
6  test/test_helper.rb
... ...
@@ -1,9 +1,11 @@
1  
-require 'test/unit'
2 1
 require 'rubygems'
  2
+require 'bundler'
  3
+Bundler.setup
3 4
 
  5
+require 'activesupport'
4 6
 require 'action_controller'
5  
-require 'right_aws'
6 7
 
  8
+require 'test/unit'
7 9
 require 'shoulda'
8 10
 require 'mocha'
9 11
 begin require 'redgreen'; rescue LoadError; end

0 notes on commit 2ce8e3e

Please sign in to comment.
Something went wrong with that request. Please try again.